ISUPPER(3)

NAME
isupper - upper-case character test

SYNOPSIS
#include <ctype.h>
int
isupper(int c);

DESCRIPTION
The isupper() function tests for any upper-case letter. In the ASCII character set, this includes the following characters:

101 ``A'' | 102 ``B'' | 103 ``C'' | 104 ``D'' | 105 ``E''
106 ``F'' | 107 ``G'' | 110 ``H'' | 111 ``I'' | 112 ``J''
113 ``K'' | 114 ``L'' | 115 ``M'' | 116 ``N'' | 117 ``O''
120 ``P'' | 121 ``Q'' | 122 ``R'' | 123 ``S'' | 124 ``T''
125 ``U'' | 126 ``V'' | 127 ``W'' | 130 ``X'' | 131 ``Y''
132 ``Z''

RETURN VALUES
The isupper() function returns zero if the character tests false and returns non-zero if the character tests true.

SEE ALSO
ctype(3), ascii(7)

STANDARDS
The isupper() function conforms to ansiC.